%define _name abfab_idp
%define name freeradius-moonshot-saml
%define version 0.3
%define release 1

Summary: Moonshot SAML module for FreeRADIUS
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
Source0: %{_name}-%{version}.tar.gz
License: BSD
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{_name}-%{version}-%{release}-buildroot
Prefix: %{_prefix}
BuildArch: noarch
Requires: freeradius-python >= 3.0.17-3.moonshot
%if 0%{?rhel} < 8
Requires: python-ldap
%endif

%description
Moonshot SAML module for FreeRADIUS

%prep
%setup -n %{_name}-%{version} -n %{_name}-%{version}

%build
python2 setup.py build

%check
%if 0%{?el7}
python2 -m unittest discover
%endif

%install
python2 setup.py install --single-version-externally-managed -O1 --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES

%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES
%defattr(-,root,root)
